declare module "next-auth/jwt" {
	interface JWT {
		uid: string;
		firstname: string;
		lastname: string;
		email: string;
	}
}
declare module "cookie-parser";

import type { User } from "@repo/db";

declare global {
	namespace Express {
		interface Request {
			user?: User | null;
		}
	}
}
